version: "3.1"

stories:
  - story: Starts participation, than adds a new comment
    steps:
      - intent: welcome
      - slot_was_set:
        - conversation_id: null
      - action: action_get_conversation
      - slot_was_set:
        - conversation_id
        - conversation_has_comments_to_vote: true
      - action: action_start_participatory_process
      - action: vote_form
      - active_loop: vote_form
      - active_loop: null
      - slot_was_set:
        - vote
        - ask_for_a_comment: true
      - action: comment_form
      - active_loop: comment_form
      - active_loop: null
      - slot_was_set:
        - comment_confirmation
        - comment
      - action: vote_form
      - active_loop: vote_form
